List discharges

Track discharges for an account. A discharge occurs when a credit transaction is used to reduce the balance of a debit transaction. This endpoint returns a list of credit transactions along with the debit transactions that they were used to discharge. You can filter the list by creditTransactionId, CreditTransactionBeginDate, and CreditTransactionEndDate.

If an invalid value is entered for creditTransactionBeginDate or creditTransactionEndDate, the endpoint returns 400 - Bad Request. An example of an invalid value would be if creditTransactionEndDate is an earlier date than creditTransactionBeginDate or if creditTransactionBeginDate is more than 184 days in the past.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required
≥ 1

Account ID

Query Params
int64

Credit transaction ID

date

Start date to filter credit transactions. If not provided, it defaults to today's date minus 184 days. Format = yyyy-mm-dd.

This endpoint returns no credit transactions older than 184 days, so creditTransactionBeginDate must be greater than the current date minus 185 days.

date

End date to filter credit transactions. If not provided, it defaults to creditTransactionBeginDate plus 184 days. Format = yyyy-mm-dd.

int32
Defaults to 1

Page number

int32

Items per page. Default is 10.

Headers
string
required

Account token, not a regular access token. Account tokens are encoded with an account ID. Tokens can expire quickly, which can result in an Unauthorized message.

Responses

Language
Credentials
Bearer
Account JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json